Skip to main content
GET
/
api
/
v1
/
runs
/
{runId}
/
result
Fetch
const response = await fetch("https://api.trigger.dev/api/v1/runs/run_1234/result", {
  headers: {
    "Authorization": `Bearer ${process.env.TRIGGER_SECRET_KEY}`,
  },
});
const result = await response.json();
{
  "ok": true,
  "id": "<string>",
  "output": "<string>",
  "outputType": "<string>",
  "error": {},
  "usage": {
    "durationMs": 123
  },
  "taskIdentifier": "<string>"
}

Authorizations

Authorization
string
header
required

Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.

You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

import { configure } from "@trigger.dev/sdk";

configure({ accessToken: "tr_dev_1234" });

Path Parameters

runId
string
required

The ID of an run, starts with run_. The run ID will be returned when you trigger a run on a task.

Response

Successful request

ok
boolean
required

Whether the run completed successfully.

id
string
required

The run ID.

output
string

The serialized output as a string (present when ok is true). Use outputType to determine how to parse it — for "application/json" use JSON.parse().

outputType
string

The content type of the serialized output, e.g. "application/json".

error
object

Error details (present when ok is false).

usage
object

Execution usage stats.

taskIdentifier
string

The task identifier.